[arch-commits] Commit in python-secretstorage/repos/community-any (PKGBUILD PKGBUILD)
Eli Schwartz
eschwartz at archlinux.org
Wed Aug 22 16:13:10 UTC 2018
Date: Wednesday, August 22, 2018 @ 16:13:10
Author: eschwartz
Revision: 373284
archrelease: copy trunk to community-any
Added:
python-secretstorage/repos/community-any/PKGBUILD
(from rev 373283, python-secretstorage/trunk/PKGBUILD)
Deleted:
python-secretstorage/repos/community-any/PKGBUILD
----------+
PKGBUILD | 70 +++++++++++++++++++++++++++----------------------------------
1 file changed, 32 insertions(+), 38 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2018-08-22 16:12:51 UTC (rev 373283)
+++ PKGBUILD 2018-08-22 16:13:10 UTC (rev 373284)
@@ -1,38 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Maintainer: Filipe Laíns (FFY00) <lains at archlinux.org>
-# Contributor: Patrice Peterson <runiq at archlinux dot us>
-# Contributor: JonnyJD <arch at JonnyJD.net>
-
-pkgname=python-secretstorage
-_pkgname=SecretStorage
-pkgver=3.0.1
-pkgrel=5
-pkgdesc="Securely store passwords and other private data using the SecretService DBus API"
-arch=('any')
-url="https://github.com/mitya57/secretstorage"
-license=('BSD')
-makedepends=('python-setuptools' 'python-cryptography' 'python-jeepney')
-checkdepends=('gnome-keyring' 'xorg-server-xvfb')
-source=("https://pypi.io/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz")
-sha512sums=('830f8de1a300d4a334ce7c2fa494ac1d8f1e36a8518f3df6df2b352ac3377bcdb84293b1c809b18bc774a61188b91f31fa30c15109b7aec180a2d1f522f2a165')
-
-build() {
- cd $_pkgname-$pkgver
-
- python setup.py build
-}
-
-check() {
- cd $_pkgname-$pkgver
-
- dbus-launch xvfb-run -a python -m unittest discover -s tests || warning "Tests failed"
-}
-
-package_python-secretstorage() {
- cd $_pkgname-$pkgver
-
- python setup.py install --root="$pkgdir" --optimize=1 --skip-build
- install -Dm 644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
Copied: python-secretstorage/repos/community-any/PKGBUILD (from rev 373283, python-secretstorage/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2018-08-22 16:13:10 UTC (rev 373284)
@@ -0,0 +1,32 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Patrice Peterson <runiq at archlinux dot us>
+# Contributor: JonnyJD <arch at JonnyJD.net>
+
+pkgname=python-secretstorage
+pkgver=3.0.1
+pkgrel=6
+pkgdesc="Securely store passwords and other private data using the SecretService DBus API"
+arch=('any')
+url="https://pypi.org/project/SecretStorage/"
+license=('BSD')
+depends=('python-cryptography' 'python-jeepney')
+checkdepends=('gnome-keyring' 'xorg-server-xvfb')
+source=("https://pypi.io/packages/source/S/SecretStorage/SecretStorage-${pkgver}.tar.gz")
+sha512sums=('830f8de1a300d4a334ce7c2fa494ac1d8f1e36a8518f3df6df2b352ac3377bcdb84293b1c809b18bc774a61188b91f31fa30c15109b7aec180a2d1f522f2a165')
+
+build() {
+ cd SecretStorage-$pkgver
+ python setup.py build
+}
+
+check() {
+ cd SecretStorage-$pkgver
+ dbus-launch xvfb-run -a python -m unittest discover -s tests || warning "Tests failed"
+}
+
+package() {
+ cd SecretStorage-$pkgver
+ python setup.py install -O1 --root="$pkgdir"
+ install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
More information about the arch-commits
mailing list